Skip to content

This page describes Revolution release 149.

Search these docs, or ask Revo a question — answers link the pages they came from.

Deletes a workcell; its devices become ungrouped.


DELETE
/api/v1/{tenantId}/system/workcells/{workcellId}

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

workcellId
required
string
tenantId
required
string

OK

object
workcells
Array<object>
nullable
object
id
string
nullable
name
string
nullable
colour
string
nullable
devices
Array<object>
nullable
object
deviceInstanceId
string
nullable
name
string
nullable
ungrouped
Array<object>
nullable
object
deviceInstanceId
string
nullable
name
string
nullable

Bad Request

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Forbidden

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Not Found

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable